%global srcname pycosat
%global sum Python bindings to picosat (a SAT solver)
%global pkgdesc \
PicoSAT is a popular SAT solver written by Armin Biere in pure C. This \
package provides efficient Python bindings to picosat on the C level, i.e. \
when importing pycosat, the picosat solver becomes part of the Python process \
itself.

Name:           python-%{srcname}
Version:        0.6.6
Release:        %mkrel 1
Summary:        %{sum}
Group:          Development/Python

License:        MIT
URL:            https://github.com/ContinuumIO/%{srcname}
Source0:        https://github.com/ContinuumIO/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  gcc

Provides:       bundled(picosat)

%description
%{pkgdesc}

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{sum}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
%{pkgdesc}


%prep
%setup -q -n %{srcname}-%{version}

# upstream only applies proper flags when build is invoked with --inplace
sed -i "s/if '--inplace' in sys.argv:/if True:/" setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pycosat test_pycosat

%check
PYTHONPATH=%{buildroot}%{python3_sitearch} py.test-%{python3_version} -vv

%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md README.rst


%changelog
* Mon Dec 18 2023 papoteur <papoteur> 0.6.6-1.mga10
+ Revision: 2018770
- new 0.6.6
- adapt to pyproject

* Sat Mar 19 2022 umeabot <umeabot> 0.6.3-3.mga9
+ Revision: 1799276
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 0.6.3-2.mga9
+ Revision: 1783245
- rebuild for python-3.10

* Thu Jun 04 2020 joequant <joequant> 0.6.3-1.mga9
+ Revision: 1590194
- imported package python-pycosat

